Subject: Re: [Idr] draft on virtual aggregation
From: Paul Francis <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Jul 2008 13:11:45 -0400
List-Id: Inter-Domain Routing <idr.ietf.org>

Questions/comments inline:

> -----Original Message-----
> From: Robert Raszuk [mailto:[email-masked]]
> Sent: Tuesday, July 15, 2008 12:14 PM
> To: [email-masked]
> Cc: Paul Francis; [email-masked]
> Subject: Re: [Idr] draft on virtual aggregation
> 
> Hi Curtis,
> 
> > Idr should not be adding a hack for small gain in FIB size when
> better
> > techniques exist and products already exist with quite a few binary
> > orders of magnitude headroom.
> 
> This is not a hack. In fact all what this is about can be accomplished
> today by sitting down and configuring three routers: edge, lookup
> router
> and egress (an option). 

Are you saying here that no router modifications are needed to make this
work?

> If someone really want to divide the addressing
> space as Paul suggest marking can be reg community. This is provider
> contained solution - it does not cross any inter-as boundaries.

I'm not sure what you mean by "marking can be reg community".  Can you expand
a bit?

> 
> All this document attempts to is present such option for operators.
> Some
> may find them useful some may not.

I'm concerned that the folks that may find them useful (lower-tier ISPs)
aren't typically involved in IDR or IETF for that matter.  If there are folks
listening who can speak for lower-tier ISPs, please do so.  (My knowledge
here, such as it is, is all second- or third-hand.)

> 
> Moreover there are other then edge FIB scaling real operational
> benefits
> for such solutions ... to name one I want to point at very fast
> reachability restoration in the event of failure.
> 
> To meet customer's and today's applications requirements one can forget
> about hop by hop switching, sending withdraws network wide, re-
> propagate
> new best paths etc ... That is gone model.

For all of this fast restoration stuff, I gather you are thinking in terms of
the core-edge structure that most (all?) tier-1 ISPs have?  Is your point
that simply shrinking the number of routers that have to participate in
re-routing will help scale ASBR/PE failure detection, and that we don't need
explicit new mechanisms along these lines (i.e. BGP Virtual Link Attribute)?

PF

> 
> To meet such requirements requires to store backup paths for all
> destinations in FIB ahead of any failure + make sure that such router
> have very fast failure detection scheme. Every one could see that the
> less routers are configured with accelerated restoration features it
> scales much better ... or it allows for much faster OS upgrades on such
> boxes vs running around and upgrading all edge boxes.
> 
> Imagine also vast reduction in number of BFD sessions if someone would
> choose to use this technology for ASBR/PE failure detection.
> 
> Another one assuming that we would go one step fwd and remove RIB from
> the edge and just fully mesh those couple of IP lookup routers any
> problems with oscillations are history as well as vast reduction in
> intra-as triggered BGP instabilities.
> 
> For the FIB reduction indeed small/mid size ISPs or enterprise networks
> may benefit.
> 
> But for not directly mentioned in the draft benefits of moving to
> schemes which reduces the number of FIB lookup routers in the network
> many ISPs may be interested. And indeed I would like to hear their
> opinion on the list on that.
> 
> Cheers,
> R.
> 

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr